pydo.apps.cancel_job_invocation()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.apps.cancel_job_invocation(
    app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
    job_invocation_id="123e4567-e89b-12d3-a456-426",
    job_name=None,
)
Returns JSONRaises HttpResponseError

Description

Cancel a specific job invocation for an app.

Parameters

app_id string required

The app ID

job_invocation_id string required

The ID of the job invocation to retrieve.

job_name string optional

The job name to list job invocations for.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.apps.cancel_job_invocation(app_id="4f6c71e2", job_invocation_id="3aa4d20e")

Response Example

Show Response Example
{
  "job_invocation": [
    {
      "id": "ba32b134-569c-4c0c-ba02-8ffdb0492ece",
      "job_name": "good-job",
      "deployment_id": "c020763f-ddb7-4112-a0df-7f01c69fc00b",
      "phase": "SUCCEEDED",
      "created_at": "2025-09-11T11:04:05Z",
      "started_at": "2025-09-11T11:04:10Z",
      "completed_at": "2025-09-11T11:04:40Z",
      "trigger": [
        {
          "type": "SCHEDULED",
          "scheduled": [
            {
              "schedule": {
                "cron": "*/2 * * * *",
                "time_zone": "UTC"
              }
            }
          ]
        }
      ]
    }
  ]
}

More Information

See /v2/apps/{app_id}/job-invocations/{job_invocation_id}/cancel in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.